SENDINPATHS(8)

NAME
sendinpaths - Send Usenet Path header field statistics via e-mail

SYNOPSIS
sendinpaths [-cdhn] [-k keep-days] [-r report-days] [address [address ...]]

DESCRIPTION
sendinpaths checks pathlog/path for ninpaths dump files, finds dump files generated in the past report-days days, makes sure they are valid by running ninpaths on each one and making sure the exit status is zero, and passes them to ninpaths to generate a cumulative report. By default, that report is mailed to the e-mail addresses configured at the beginning of this script (by default, only one address is configured: <top1000@anthologeek.net>) in order to supply the TOP1000 project with useful statistics. See <http://top1000.anthologeek.net/> for more information.

When finished, sendinpaths deletes all dump files in pathlog/path that are older than keep-days days.

For more information on how to set up ninpaths, see ninpaths(8).

OPTIONS

-c  When this flag is used, the report is also e-mailed, besides the default submission addresses or those given as command-line arguments, to the newsmaster's address set at configure time.

-d  Enables debug messages.

-h  Gives usage information.

-k keep-days
    After having processed dump files, sendinpaths removes those that are older than keep-days days. The default is "0", that is to say to remove all dump files.

    Setting keep-days to another value can be useful for debugging purpose because it permits keeping a few dump files.

-n  Don't e-mail the report; instead, just print it to standard output. Don't delete old dump files.

-r report-days
    Process dump files generated during the last report-days days. The default is "32", that is to say to process all the dump files that have been generated during the last 32 days (if, of course, they have not been deleted yet by a previous run of sendinpaths according to the value set by the -k flag).

address ...
    E-mail the report to the mentioned address or addresses, instead of the default one. Several addresses can be used, separated by whitespace (sending the e-mail to your own e-mail address can be useful for debugging purpose, to check that everything works fine). For instance, for two addresses:

        sendinpaths pathsurvey@example.org top1000@anthologeek.net

HISTORY
sendinpaths was originally written by Olaf Titz <olaf@bigred.inka.de> in shell. The version shipped with INN is a rewrite in Perl based on Mohan Kokal's initial work, and improved by Julien Élie.

SEE ALSO
ninpaths(8).